# New-SanCertificate

Generates a SAN self-signed certificate to be used by IIS for HTTPS communications.
The certificate will be automatically trusted by the local machine and assigned to the HTTPS binding of the defined IIS site.

## Requirements

- Must be running as an admin
- IIS must be installed for it to set the binding on the site

## Variables

|      Variable      | Required |           Default            | Choices |                              Description                               |
| ------------------ | -------- | ---------------------------- | ------- | ---------------------------------------------------------------------- |
| IpAddress          | No       | IPv4 addresses of the system |         | IP Addresses to include in the Certificate                             |
| AdditionalDnsNames | No       |                              |         | Specifies additional DNS names that should be added to the certificate |
| SiteName           | No       | Default Web Site             |         | Defines the website that will have the IIS binding configured          |
| Validity           | No       | 15                           |         | Defines the validity of the certificate in years                       |

## Example

```powershell
.\New-SanCertificate.ps1
```

## License

See LICENSE file for full license information.
